Package org.eclipse.gef.layout.algorithms

# Enum Class SugiyamaLayoutAlgorithm.Direction

java.lang.Object
java.lang.Enum<SugiyamaLayoutAlgorithm.Direction>
org.eclipse.gef.layout.algorithms.SugiyamaLayoutAlgorithm.Direction

All Implemented Interfaces:
  `Serializable`, `Comparable<SugiyamaLayoutAlgorithm.Direction>`, `Constable`

Enclosing class:
  SugiyamaLayoutAlgorithm

public static enum SugiyamaLayoutAlgorithm.Direction extends Enum<SugiyamaLayoutAlgorithm.Direction>
Specifies the direction for the `SugiyamaLayoutAlgorithm`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HORIZONTAL`
Horizontal direction, i.e. left to right.
`VERTICAL`
Vertical direction, i.e. top to bottom.

## Method Summary

Modifier and Type
Method
Description
`static SugiyamaLayoutAlgorithm.Direction`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SugiyamaLayoutAlgorithm.Direction[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HORIZONTAL

public static final SugiyamaLayoutAlgorithm.Direction HORIZONTAL
Horizontal direction, i.e. left to right.

### VERTICAL

public static final SugiyamaLayoutAlgorithm.Direction VERTICAL
Vertical direction, i.e. top to bottom.

## Method Details

### values

public static SugiyamaLayoutAlgorithm.Direction[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SugiyamaLayoutAlgorithm.Direction valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null